package com.ruoyi.common.zqt;

import java.io.Serializable;
import java.util.List;

/**
 * @author condey
 * @version $$package: com.ruoyi.common.zqt, v 0.1 2024/5/8 3:57 PM condey Exp $$
 */
public class ZQTPageModel<T> implements Serializable {

    private List<T> itemList;
    private long recordCount;
    private long pageCount;
    private long curPage;
    private int allReportCount;

    public int getAllReportCount() {
        return allReportCount;
    }

    public ZQTPageModel<T> setAllReportCount(int allReportCount) {
        this.allReportCount = allReportCount;
        return this;
    }

    public ZQTPageModel() {
    }

    public List<T> getItemList() {
        return this.itemList;
    }

    public void setItemList(List<T> itemList) {
        this.itemList = itemList;
    }

    public long getRecordCount() {
        return this.recordCount;
    }

    public void setRecordCount(long recordCount) {
        this.recordCount = recordCount;
    }

    public long getPageCount() {
        return this.pageCount;
    }

    public void setPageCount(long pageCount) {
        this.pageCount = pageCount;
    }

    public long getCurPage() {
        return this.curPage;
    }

    public void setCurPage(long curPage) {
        this.curPage = curPage;
    }
}
